import React from 'react';
import type { CSSProperties, HTMLAttributes, SVGProps } from 'react';
interface CSSPropertiesWithVariable extends CSSProperties {
    [key: `--${string}`]: string | number;
}
export interface IconBaseProps extends Omit<HTMLAttributes<HTMLSpanElement>, 'style'> {
    spin?: boolean;
    spinReverse?: boolean;
    svgProps?: SVGProps<SVGSVGElement>;
    style?: CSSPropertiesWithVariable;
}
declare const IconBase: React.ForwardRefExoticComponent<IconBaseProps & React.RefAttributes<HTMLSpanElement>>;
export default IconBase;
