"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("../icon/IconBase"));
var Alt = (0, react_1.forwardRef)(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = tslib_1.__rest(_a, ["svgProps"]);
    return (react_1.default.createElement(IconBase_1.default, tslib_1.__assign({ "aria-label": "alt" }, restProps, { ref: ref }),
        react_1.default.createElement("svg", tslib_1.__assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            react_1.default.createElement("path", { d: "M1 13.5a.5.5 0 0 0 .5.5h3.797a.5.5 0 0 0 .439-.26L11 3h3.5a.5.5 0 0 0 0-1h-3.797a.5.5 0 0 0-.439.26L5 13H1.5a.5.5 0 0 0-.5.5zm10 0a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 0-1h-3a.5.5 0 0 0-.5.5z" }))));
});
Alt.displayName = 'Alt';
exports.default = Alt;
