"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("../icon/IconBase"));
var ChevronBarUp = (0, react_1.forwardRef)(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = tslib_1.__rest(_a, ["svgProps"]);
    return (react_1.default.createElement(IconBase_1.default, tslib_1.__assign({ "aria-label": "chevron-bar-up" }, restProps, { ref: ref }),
        react_1.default.createElement("svg", tslib_1.__assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            react_1.default.createElement("path", { fillRule: "evenodd", d: "M3.646 11.854a.5.5 0 0 0 .708 0L8 8.207l3.646 3.647a.5.5 0 0 0 .708-.708l-4-4a.5.5 0 0 0-.708 0l-4 4a.5.5 0 0 0 0 .708zM2.4 5.2c0 .22.18.4.4.4h10.4a.4.4 0 0 0 0-.8H2.8a.4.4 0 0 0-.4.4z" }))));
});
ChevronBarUp.displayName = 'ChevronBarUp';
exports.default = ChevronBarUp;
