"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("../icon/IconBase"));
var PersonFillLock = (0, react_1.forwardRef)(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = tslib_1.__rest(_a, ["svgProps"]);
    return (react_1.default.createElement(IconBase_1.default, tslib_1.__assign({ "aria-label": "person-fill-lock" }, restProps, { ref: ref }),
        react_1.default.createElement("svg", tslib_1.__assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            react_1.default.createElement("path", { d: "M11 5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Zm-9 8c0 1 1 1 1 1h5v-1a1.9 1.9 0 0 1 .01-.2 4.49 4.49 0 0 1 1.534-3.693C9.077 9.038 8.564 9 8 9c-5 0-6 3-6 4Zm7 0a1 1 0 0 1 1-1v-1a2 2 0 1 1 4 0v1a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1h-4a1 1 0 0 1-1-1v-2Zm3-3a1 1 0 0 0-1 1v1h2v-1a1 1 0 0 0-1-1Z" }))));
});
PersonFillLock.displayName = 'PersonFillLock';
exports.default = PersonFillLock;
