"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("../icon/IconBase"));
var Shadows = (0, react_1.forwardRef)(function (_a, ref) {
    var svgProps = _a.svgProps, restProps = tslib_1.__rest(_a, ["svgProps"]);
    return (react_1.default.createElement(IconBase_1.default, tslib_1.__assign({ "aria-label": "shadows" }, restProps, { ref: ref }),
        react_1.default.createElement("svg", tslib_1.__assign({ xmlns: "http://www.w3.org/2000/svg", width: "1em", height: "1em", fill: "currentColor", viewBox: "0 0 16 16" }, svgProps),
            react_1.default.createElement("path", { fillRule: "evenodd", d: "M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0Zm-8 7a7 7 0 1 1 3.608-13H8a.5.5 0 0 0 0 1h4.899c.312.306.596.64.846 1H8a.5.5 0 0 0 0 1h6.326c.153.32.281.655.384 1H8a.5.5 0 0 0 0 1h6.93c.046.327.07.66.07 1H8a.5.5 0 0 0 0 1h6.93a6.953 6.953 0 0 1-.22 1H8a.5.5 0 0 0 0 1h6.326c-.166.35-.36.685-.58 1H8a.5.5 0 0 0 0 1h4.899a7.032 7.032 0 0 1-1.306 1.009A.503.503 0 0 0 11.5 14H8a.5.5 0 0 0 0 1Z" }))));
});
Shadows.displayName = 'Shadows';
exports.default = Shadows;
