"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var IconBase_1 = tslib_1.__importDefault(require("./IconBase"));
function Icon(props) {
    var _a = props || {}, 
    // @ts-ignore
    component = _a.component, 
    // @ts-ignore
    symbolId = _a.symbolId, restProps = tslib_1.__rest(_a, ["component", "symbolId"]);
    var child = (0, react_1.useMemo)(function () {
        if (component) {
            return component;
        }
        if (symbolId) {
            return (react_1.default.createElement("svg", { width: "1em", height: "1em", fill: "currentColor" },
                react_1.default.createElement("use", { xlinkHref: "#".concat(symbolId) })));
        }
        return null;
    }, [component, symbolId]);
    return react_1.default.createElement(IconBase_1.default, tslib_1.__assign({}, restProps), child);
}
exports.default = Icon;
